org.apache.pdfbox.preflight.metadata

## Class UniquePropertiesValidation

- java.lang.Object
- - org.apache.pdfbox.preflight.metadata.UniquePropertiesValidation

    public class UniquePropertiesValidation
    extends Object

Class which checks that certain metadata properties are unique, see PDFBOX-4860.

Author:
  Tilman Hausherr

### Constructor Summary

Constructors
Constructor and Description
`UniquePropertiesValidation()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<ValidationResult.ValidationError>` `validatePropertiesUniqueness(org.apache.pdfbox.pdmodel.PDDocument document, org.apache.xmpbox.XMPMetadata metadata)` Checks that certain metadata properties are unique.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UniquePropertiesValidation

    public UniquePropertiesValidation()

### Method Detail

#### validatePropertiesUniqueness

    public List<ValidationResult.ValidationError> validatePropertiesUniqueness(org.apache.pdfbox.pdmodel.PDDocument document,
                                                                               org.apache.xmpbox.XMPMetadata metadata)
                                                                        throws ValidationException

Checks that certain metadata properties are unique.

Parameters:
  `document` - the PDF Document
  `metadata` - the XMP MetaData
Returns:
  List of validation errors
Throws:
  `ValidationException`